Package org.zkoss.stateless.sul

## Interface IHlayout<I extends IAnyGroup>

- All Superinterfaces:
    `IAnyGroup<IHlayout<I>>`, `IChildable<IHlayout<I>,​I>`, `IComponent<IHlayout<I>>`, `IHtmlBasedComponent<IHlayout<I>>`, `ILayout<IHlayout<I>>`, `IXulElement<IHlayout<I>>`

      public interface IHlayout<I extends IAnyGroup>
      extends ILayout<IHlayout<I>>, IChildable<IHlayout<I>,​I>, IAnyGroup<IHlayout<I>>

  Immutable `Hlayout` component

  The hlayout component is a simple horizontal oriented layout. It layouts its child components horizontally in a row.

  Author:
    katherine
  See Also:
    `Hlayout`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IHlayout.Builder<I extends IAnyGroup>` | Builds instances of type `IHlayout`.
    `static class` | `IHlayout.Updater` | Builds an updater of type `IHlayout` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.
    `static class` | `IHlayout.VerticalAlign` | Specifies the vertical-align to `IHlayout`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IHlayout<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getValign()` | Returns the vertical-align property used for the inner children.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static <I extends IAnyGroup> IHlayout<I>` | `of​(I... children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IHlayout<I>` | `of​(java.lang.Iterable<? extends I> children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IHlayout<I>` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `static <I extends IAnyGroup> IHlayout<I>` | `ofVflex​(java.lang.String vflex)` | Returns the instance with the given vflex.
    `IHlayout<I>` | `withValign​(java.lang.String valign)` | Returns a copy of `this` immutable component with the specified `valign`.
    `default IHlayout<I>` | `withValign​(IHlayout.VerticalAlign valign)` | Returns a copy of `this` immutable component with the specified `valign`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ILayout

      `getSpacing, withSpacing`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IHlayout<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.box.Hlayout"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`

    - #### getValign

          default java.lang.String getValign()

      Returns the vertical-align property used for the inner children.

      Default: `"top"`.

    - #### withValign

          IHlayout<I> withValign​(java.lang.String valign)

      Returns a copy of `this` immutable component with the specified `valign`.

      Sets the vertical-align property used for the inner children.

      Parameters:
        `valign` - The vertical-align, allowed values are , `"middle"`, and `"bottom"`

        Default: `"top"`.

      Returns:
        A modified copy of the `this` object

    - #### withValign

          default IHlayout<I> withValign​(IHlayout.VerticalAlign valign)

      Returns a copy of `this` immutable component with the specified `valign`.

      Sets the vertical-align property used for the inner children.

      Parameters:
        `valign` - The vertical-align of `IHlayout.VerticalAlign`

        Default: `"top"`.

      Returns:
        A modified copy of the `this` object

    - #### ofId

          static <I extends IAnyGroup> IHlayout<I> ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component

    - #### of

          static <I extends IAnyGroup> IHlayout<I> of​(java.lang.Iterable<? extends I> children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### of

          static <I extends IAnyGroup> IHlayout<I> of​(I... children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### ofVflex

          static <I extends IAnyGroup> IHlayout<I> ofVflex​(java.lang.String vflex)

      Returns the instance with the given vflex.
      Parameters:
        `vflex` - The vertical flex hint.